跳转到主要内容
本指南介绍如何使用 Helm 图表安装 ClickHouse Operator。

前置条件

  • Kubernetes 集群 v1.28.0 或更高版本
  • Helm v3.0 或更高版本
  • 已将 kubectl 配置为与你的 Kubernetes 集群通信

安装 Helm

如果您还没有安装 Helm:
curl https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 | bash
验证安装:
helm version

安装 ClickHouse Operator

默认情况下,Helm 图表会在启用 webhooks 的情况下部署 ClickHouse Operator,并且要求已安装 cert-manager。
helm install cert-manager oci://quay.io/jetstack/charts/cert-manager -n cert-manager --create-namespace --set crds.enabled=true

通过 OCI Helm 仓库

安装最新版本
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system
安装特定版本的 Operator
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system \
       --set-json="manager.container.tag=<operator version>

从本地图表安装

克隆代码仓库,并通过本地图表安装:
git clone https://github.com/ClickHouse/clickhouse-operator.git
cd clickhouse-operator
helm install clickhouse-operator ./dist/chart

配置选项

如需了解高级配置选项,请参阅 Helm 图表中的 values.yaml 文件
最后修改于 2026年6月10日